std::thread::id Class Reference

`#include <thread>`

## Public Member Functions

| id (native_handle_type __id)

## Friends

struct | hash< id >
bool | operator< (id __x, id __y) noexcept
template<class _CharT , class _Traits >
basic_ostream< _CharT, _Traits > & | operator<< (basic_ostream< _CharT, _Traits > &__out, id __id)
bool | operator== (id __x, id __y) noexcept
class | thread

## Related Symbols

(Note that these are not member symbols.)
bool | operator== (thread::id __x, thread::id __y) noexcept
bool | operator!= (thread::id __x, thread::id __y) noexcept
bool | operator< (thread::id __x, thread::id __y) noexcept
bool | operator<= (thread::id __x, thread::id __y) noexcept
bool | operator> (thread::id __x, thread::id __y) noexcept
bool | operator>= (thread::id __x, thread::id __y) noexcept
template<class _CharT , class _Traits >
basic_ostream< _CharT, _Traits > & | operator<< (basic_ostream< _CharT, _Traits > &__out, thread::id __id)

## Detailed Description

A std::thread::id is a unique identifier for a thread.

Since
  C++11

Definition at line 92 of file std_thread.h.

## Constructor & Destructor Documentation

## id() [1/2]

std::thread::id::id | ( |  | ) |

inline noexcept

Definition at line 97 of file std_thread.h.

## id() [2/2]

std::thread::id::id | ( | native_handle_type | __id | ) |

inline explicit

Definition at line 100 of file std_thread.h.

## Friends And Related Symbol Documentation

## hash< id >

friend struct hash< id >

friend

Definition at line 103 of file std_thread.h.

## thread

friend class thread

friend

Definition at line 103 of file std_thread.h.

The documentation for this class was generated from the following files:

- std_thread.h
- thread